## geeps 0.0.3

=== Makefile ===
#############################################################################
# Makefile for building: geeps
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Oct 12 17:24:19 2010
# Project:  geeps.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile geeps.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="debian/geeps/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		directionsdlg.cpp \
		finddlg.cpp \
		geocoderequester.cpp \
		googledirections.cpp \
		directions.cpp \
		currdirectionsdlg.cpp \
		toolbutton.cpp \
		mapwindow.cpp \
		geolocation.cpp \
		maemo5wnd.cpp \
		pickselectoraction.cpp moc_mainwindow.cpp \
		moc_directionsdlg.cpp \
		moc_finddlg.cpp \
		moc_geocoderequester.cpp \
		moc_googledirections.cpp \
		moc_currdirectionsdlg.cpp \
		moc_toolbutton.cpp \
		moc_fullscreenexitbutton.cpp \
		moc_mapwindow.cpp \
		moc_geolocation.cpp \
		moc_maemo5wnd.cpp \
		moc_pickselectoraction.cpp \
		qrc_res.cpp
OBJECTS       = main.o \
		mainwindow.o \
		directionsdlg.o \
		finddlg.o \
		geocoderequester.o \
		googledirections.o \
		directions.o \
		currdirectionsdlg.o \
		toolbutton.o \
		mapwindow.o \
		geolocation.o \
		maemo5wnd.o \
		pickselectoraction.o \
		moc_mainwindow.o \
		moc_directionsdlg.o \
		moc_finddlg.o \
		moc_geocoderequester.o \
		moc_googledirections.o \
		moc_currdirectionsdlg.o \
		moc_toolbutton.o \
		moc_fullscreenexitbutton.o \
		moc_mapwindow.o \
		moc_geolocation.o \
		moc_maemo5wnd.o \
		moc_pickselectoraction.o \
		qrc_res.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/mobility.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		geeps.pro
QMAKE_TARGET  = geeps
DESTDIR       = 
TARGET        = geeps

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: geeps.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/mobility.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile geeps.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/mobility.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libphonon.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile geeps.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h mapwindow.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp mapwindow.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
moc_mainwindow.cpp: toolbutton.h \
		location.h \
		geolocation.h \
		maemo5wnd.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_directionsdlg.cpp: directionsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) directionsdlg.h -o moc_directionsdlg.cpp

moc_finddlg.cpp: geocoderequester.h \
		location.h \
		finddlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) finddlg.h -o moc_finddlg.cpp

moc_geocoderequester.cpp: location.h \
		geocoderequester.h
	/usr/bin/moc $(DEFINES) $(INCPATH) geocoderequester.h -o moc_geocoderequester.cpp

moc_googledirections.cpp: directions.h \
		location.h \
		googledirections.h
	/usr/bin/moc $(DEFINES) $(INCPATH) googledirections.h -o moc_googledirections.cpp

moc_currdirectionsdlg.cpp: directions.h \
		location.h \
		currdirectionsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) currdirectionsdlg.h -o moc_currdirectionsdlg.cpp

moc_toolbutton.cpp: toolbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) toolbutton.h -o moc_toolbutton.cpp

moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp

moc_mapwindow.cpp: mapwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mapwindow.h -o moc_mapwindow.cpp

moc_geolocation.cpp: location.h \
		geolocation.h
	/usr/bin/moc $(DEFINES) $(INCPATH) geolocation.h -o moc_geolocation.cpp

moc_maemo5wnd.cpp: maemo5wnd.h
	/usr/bin/moc $(DEFINES) $(INCPATH) maemo5wnd.h -o moc_maemo5wnd.cpp

moc_pickselectoraction.cpp: pickselectoraction.h
	/usr/bin/moc $(DEFINES) $(INCPATH) pickselectoraction.h -o moc_pickselectoraction.cpp

moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp

compiler_rcc_make_all: qrc_res.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_res.cpp
qrc_res.cpp: res.qrc \
		west.png \
		south.png \
		north.png \
		east.png
	/usr/bin/rcc -name res res.qrc -o qrc_res.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

ui_directionsdlg.h: directionsdlg.ui
	/usr/bin/uic directionsdlg.ui -o ui_directionsdlg.h

ui_finddlg.h: finddlg.ui
	/usr/bin/uic finddlg.ui -o ui_finddlg.h

ui_currdirectionsdlg.h: currdirectionsdlg.ui
	/usr/bin/uic currdirectionsdlg.ui -o ui_currdirectionsdlg.h

ui_mapwindow.h: mapwindow.ui
	/usr/bin/uic mapwindow.ui -o ui_mapwindow.h

compiler_yacc_decl_make_all:
