## geeps 0.0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Oct 12 17:24:19 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 13:23:12 2010
 # Project:  geeps.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile geeps.pro
@@ -52,7 +52,6 @@
 		directions.cpp \
 		currdirectionsdlg.cpp \
 		toolbutton.cpp \
-		mapwindow.cpp \
 		geolocation.cpp \
 		maemo5wnd.cpp \
 		pickselectoraction.cpp moc_mainwindow.cpp \
@@ -63,7 +62,6 @@
 		moc_currdirectionsdlg.cpp \
 		moc_toolbutton.cpp \
 		moc_fullscreenexitbutton.cpp \
-		moc_mapwindow.cpp \
 		moc_geolocation.cpp \
 		moc_maemo5wnd.cpp \
 		moc_pickselectoraction.cpp \
@@ -77,7 +75,6 @@
 		directions.o \
 		currdirectionsdlg.o \
 		toolbutton.o \
-		mapwindow.o \
 		geolocation.o \
 		maemo5wnd.o \
 		pickselectoraction.o \
@@ -89,7 +86,6 @@
 		moc_currdirectionsdlg.o \
 		moc_toolbutton.o \
 		moc_fullscreenexitbutton.o \
-		moc_mapwindow.o \
 		moc_geolocation.o \
 		moc_maemo5wnd.o \
 		moc_pickselectoraction.o \
@@ -207,7 +203,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h mapwindow.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp mapwindow.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
 
 
 clean:compiler_clean 
@@ -226,9 +222,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_mapwindow.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 moc_mainwindow.cpp: toolbutton.h \
 		location.h \
 		geolocation.h \
@@ -263,9 +259,6 @@
 
 moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp
-
-moc_mapwindow.cpp: mapwindow.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) mapwindow.h -o moc_mapwindow.cpp
 
 moc_geolocation.cpp: location.h \
 		geolocation.h
@@ -314,3 +307,13 @@
 	/usr/bin/uic mapwindow.ui -o ui_mapwindow.h
 
 compiler_yacc_decl_make_all:
+compiler_yacc_decl_clean:
+compiler_yacc_impl_make_all:
+compiler_yacc_impl_clean:
+compiler_lex_make_all:
+compiler_lex_clean:
+compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 
+
+####### Compile
+
+main.o: main.cpp mainwindow.h \
