=== debian/changelog ===
geeps (0.0.4) unstable; urgency=low

  * Save settings, some new key shortcuts, bicycling and traffic layers

 -- Felipe Crochik <geeps@crochik.com>  Thu, 14 Oct 2010 13:32:06 -0400

geeps (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Felipe Crochik <geeps@crochik.com>  Tue, 12 Oct 2010 17:49:50 -0400
