## geeps 0.0.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 13:23:12 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 18:12:57 2010
 # Project:  geeps.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile geeps.pro
