=== debian/changelog ===
geeps (0.0.5) unstable; urgency=low

  * show accuracy, wait for html page to be loaded 

 -- Felipe Crochik <geeps@crochik.com>  Thu, 14 Oct 2010 18:16:54 -0400
