## geeps 0.0.10

=== debian/changelog ===
geeps (0.0.10) unstable; urgency=low

  * cosmetic changes

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400

geeps (0.0.9) unstable; urgency=low

  * finger scroll

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400

geeps (0.0.8) unstable; urgency=low

  * next/prev route, next/prev step

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400

geeps (0.0.7) unstable; urgency=low

  * google local business search

 -- Felipe Crochik <geeps@crochik.com>  Mon, 25 Oct 2010 15:20:49 -0400

geeps (0.0.6) unstable; urgency=low

  * local search, current directions UI, flow 

 -- Felipe Crochik <geeps@crochik.com>  Tue, 19 Oct 2010 19:45:50 -0400
