## geeps 0.0.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 18:12:57 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 28 12:27:28 2010
 # Project:  geeps.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile geeps.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="debian/geeps/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="debian/geeps/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_SCRIPT_LIB -DQT_SCRIPTTOOLS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
+INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtScriptTools -I/usr/include/QtScript -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtScriptTools -lQtScript -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -52,6 +52,13 @@
 		directions.cpp \
 		currdirectionsdlg.cpp \
 		toolbutton.cpp \
+		searchdlg.cpp \
+		business.cpp \
+		directionsitemdelegate.cpp \
+		directionsmodel.cpp \
+		localsearchmodel.cpp \
+		localsearchitemdelegate.cpp \
+		fingerscrolleventfilter.cpp \
 		geolocation.cpp \
 		maemo5wnd.cpp \
 		pickselectoraction.cpp moc_mainwindow.cpp \
@@ -62,6 +69,12 @@
 		moc_currdirectionsdlg.cpp \
 		moc_toolbutton.cpp \
 		moc_fullscreenexitbutton.cpp \
+		moc_searchdlg.cpp \
+		moc_directionsitemdelegate.cpp \
+		moc_directionsmodel.cpp \
+		moc_localsearchmodel.cpp \
+		moc_localsearchitemdelegate.cpp \
+		moc_fingerscrolleventfilter.cpp \
 		moc_geolocation.cpp \
 		moc_maemo5wnd.cpp \
 		moc_pickselectoraction.cpp \
@@ -75,6 +88,13 @@
 		directions.o \
 		currdirectionsdlg.o \
 		toolbutton.o \
+		searchdlg.o \
+		business.o \
+		directionsitemdelegate.o \
+		directionsmodel.o \
+		localsearchmodel.o \
+		localsearchitemdelegate.o \
+		fingerscrolleventfilter.o \
 		geolocation.o \
 		maemo5wnd.o \
 		pickselectoraction.o \
@@ -86,6 +106,12 @@
 		moc_currdirectionsdlg.o \
 		moc_toolbutton.o \
 		moc_fullscreenexitbutton.o \
+		moc_searchdlg.o \
+		moc_directionsitemdelegate.o \
+		moc_directionsmodel.o \
+		moc_localsearchmodel.o \
+		moc_localsearchitemdelegate.o \
+		moc_fingerscrolleventfilter.o \
 		moc_geolocation.o \
 		moc_maemo5wnd.o \
 		moc_pickselectoraction.o \
@@ -138,7 +164,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h $(OBJECTS)  
+$(TARGET): ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h ui_searchdlg.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: geeps.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
@@ -168,7 +194,9 @@
 		/usr/lib/libQtWebKit.prl \
 		/usr/lib/libphonon.prl \
 		/usr/lib/libQtXmlPatterns.prl \
-		/usr/lib/libQtNetwork.prl
+		/usr/lib/libQtNetwork.prl \
+		/usr/lib/libQtScript.prl \
+		/usr/lib/libQtScriptTools.prl
 	$(QMAKE) -unix -o Makefile geeps.pro
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
@@ -198,12 +226,14 @@
 /usr/lib/libphonon.prl:
 /usr/lib/libQtXmlPatterns.prl:
 /usr/lib/libQtNetwork.prl:
+/usr/lib/libQtScript.prl:
+/usr/lib/libQtScriptTools.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile geeps.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.h directionsdlg.h finddlg.h geocoderequester.h location.h googledirections.h directions.h currdirectionsdlg.h toolbutton.h fullscreenexitbutton.h searchdlg.h business.h directionsitemdelegate.h directionsmodel.h localsearchmodel.h localsearchitemdelegate.h fingerscrolleventfilter.h geolocation.h maemo5wnd.h pickselectoraction.h fullscreenexitbutton.h .tmp/geeps1.0.0/ && $(COPY_FILE) --parents res.qrc .tmp/geeps1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp directionsdlg.cpp finddlg.cpp geocoderequester.cpp googledirections.cpp directions.cpp currdirectionsdlg.cpp toolbutton.cpp searchdlg.cpp business.cpp directionsitemdelegate.cpp directionsmodel.cpp localsearchmodel.cpp localsearchitemdelegate.cpp fingerscrolleventfilter.cpp geolocation.cpp maemo5wnd.cpp pickselectoraction.cpp .tmp/geeps1.0.0/ && $(COPY_FILE) --parents mainwindow.ui directionsdlg.ui finddlg.ui currdirectionsdlg.ui mapwindow.ui searchdlg.ui .tmp/geeps1.0.0/ && (cd `dirname .tmp/geeps1.0.0` && $(TAR) geeps1.0.0.tar geeps1.0.0 && $(COMPRESS) geeps1.0.0.tar) && $(MOVE) `dirname .tmp/geeps1.0.0`/geeps1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/geeps1.0.0
 
 
 clean:compiler_clean 
@@ -222,9 +252,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+compiler_moc_header_make_all: moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_searchdlg.cpp moc_directionsitemdelegate.cpp moc_directionsmodel.cpp moc_localsearchmodel.cpp moc_localsearchitemdelegate.cpp moc_fingerscrolleventfilter.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
+	-$(DEL_FILE) moc_mainwindow.cpp moc_directionsdlg.cpp moc_finddlg.cpp moc_geocoderequester.cpp moc_googledirections.cpp moc_currdirectionsdlg.cpp moc_toolbutton.cpp moc_fullscreenexitbutton.cpp moc_searchdlg.cpp moc_directionsitemdelegate.cpp moc_directionsmodel.cpp moc_localsearchmodel.cpp moc_localsearchitemdelegate.cpp moc_fingerscrolleventfilter.cpp moc_geolocation.cpp moc_maemo5wnd.cpp moc_pickselectoraction.cpp moc_fullscreenexitbutton.cpp
 moc_mainwindow.cpp: toolbutton.h \
 		location.h \
 		geolocation.h \
@@ -260,60 +290,10 @@
 moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp
 
-moc_geolocation.cpp: location.h \
-		geolocation.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) geolocation.h -o moc_geolocation.cpp
-
-moc_maemo5wnd.cpp: maemo5wnd.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) maemo5wnd.h -o moc_maemo5wnd.cpp
-
-moc_pickselectoraction.cpp: pickselectoraction.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) pickselectoraction.h -o moc_pickselectoraction.cpp
-
-moc_fullscreenexitbutton.cpp: fullscreenexitbutton.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) fullscreenexitbutton.h -o moc_fullscreenexitbutton.cpp
-
-compiler_rcc_make_all: qrc_res.cpp
-compiler_rcc_clean:
-	-$(DEL_FILE) qrc_res.cpp
-qrc_res.cpp: res.qrc \
-		west.png \
-		south.png \
-		north.png \
-		east.png
-	/usr/bin/rcc -name res res.qrc -o qrc_res.cpp
-
-compiler_image_collection_make_all: qmake_image_collection.cpp
-compiler_image_collection_clean:
-	-$(DEL_FILE) qmake_image_collection.cpp
-compiler_moc_source_make_all:
-compiler_moc_source_clean:
-compiler_uic_make_all: ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
-compiler_uic_clean:
-	-$(DEL_FILE) ui_mainwindow.h ui_directionsdlg.h ui_finddlg.h ui_currdirectionsdlg.h ui_mapwindow.h
-ui_mainwindow.h: mainwindow.ui
-	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h
-
-ui_directionsdlg.h: directionsdlg.ui
-	/usr/bin/uic directionsdlg.ui -o ui_directionsdlg.h
-
-ui_finddlg.h: finddlg.ui
-	/usr/bin/uic finddlg.ui -o ui_finddlg.h
-
-ui_currdirectionsdlg.h: currdirectionsdlg.ui
-	/usr/bin/uic currdirectionsdlg.ui -o ui_currdirectionsdlg.h
-
-ui_mapwindow.h: mapwindow.ui
-	/usr/bin/uic mapwindow.ui -o ui_mapwindow.h
-
-compiler_yacc_decl_make_all:
-compiler_yacc_decl_clean:
-compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
-compiler_lex_make_all:
-compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 
-
-####### Compile
-
-main.o: main.cpp mainwindow.h \
+moc_searchdlg.cpp: localsearchmodel.h \
+		business.h \
+		location.h \
+		searchdlg.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) searchdlg.h -o moc_searchdlg.cpp
+
+moc_directionsitemdelegate.cpp: directionsitemdelegate.h
