=== debian/changelog ===
geeps (0.0.11) unstable; urgency=low

  * removed name of local business from destination

 -- Felipe Crochik <geeps@crochik.com>  Tue, 26 Oct 2010 22:17:58 -0400
