=== debian/control ===
Source: geeps
Section: user/navigation
Priority: extra
Maintainer: Felipe Crochik <felipe@crochik.com>
XSBC-Bugtracker: mailto:geeps@crochik.com
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, libgconf2-dev, libqt4-sql, libqt4-sql-sqlite, libqtm-location, libqtm-dev
Standards-Version: 3.7.2
XB-Maemo-Display-Name: Crochik GeePS

Package: geeps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-application-manager
Description: Front-end for Google maps optimized for the n900.
 Early release.
