## geeps 0.0.12

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: geeps
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 28 12:27:28 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Oct 29 11:47:57 2010
 # Project:  geeps.pro
 # Template: app
-# Command: /usr/bin/qmake -unix -o Makefile geeps.pro
+# Command: /usr/bin/qmake -o Makefile geeps.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -15,8 +15,8 @@
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtScriptTools -I/usr/include/QtScript -I/usr/include/QtWebKit -I/usr/include/QtMaemo5 -I/usr/include -I/usr/include/QtLocation -I/usr/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtScriptTools -lQtScript -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lQtScriptTools -lQtScript -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -119,6 +119,7 @@
 DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -170,6 +171,7 @@
 Makefile: geeps.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
 		/usr/share/qt4/mkspecs/common/linux.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
+		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -187,20 +189,19 @@
 		/usr/share/qt4/mkspecs/features/lex.prf \
 		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtMaemo5.prl \
+		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtDBus.prl \
 		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl \
-		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtWebKit.prl \
-		/usr/lib/libphonon.prl \
-		/usr/lib/libQtXmlPatterns.prl \
-		/usr/lib/libQtNetwork.prl \
 		/usr/lib/libQtScript.prl \
-		/usr/lib/libQtScriptTools.prl
-	$(QMAKE) -unix -o Makefile geeps.pro
+		/usr/lib/libQtScriptTools.prl \
+		/usr/lib/libQtNetwork.prl
+	$(QMAKE) -o Makefile geeps.pro
 /usr/share/qt4/mkspecs/common/unix.conf:
 /usr/share/qt4/mkspecs/common/linux.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
+/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /usr/share/qt4/mkspecs/features/qt_functions.prf:
 /usr/share/qt4/mkspecs/features/qt_config.prf:
 /usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -218,18 +219,16 @@
 /usr/share/qt4/mkspecs/features/lex.prf:
 /usr/share/qt4/mkspecs/features/include_source_dir.prf:
 /usr/lib/libQtMaemo5.prl:
+/usr/lib/libQtGui.prl:
 /usr/lib/libQtDBus.prl:
 /usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
-/usr/lib/libQtGui.prl:
 /usr/lib/libQtWebKit.prl:
-/usr/lib/libphonon.prl:
-/usr/lib/libQtXmlPatterns.prl:
-/usr/lib/libQtNetwork.prl:
 /usr/lib/libQtScript.prl:
 /usr/lib/libQtScriptTools.prl:
+/usr/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile geeps.pro
+	@$(QMAKE) -o Makefile geeps.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/geeps1.0.0 || $(MKDIR) .tmp/geeps1.0.0 
@@ -247,6 +246,8 @@
 	-$(DEL_FILE) $(TARGET) 
 	-$(DEL_FILE) Makefile
 
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
