## geeps 0.0.13

=== debian/changelog ===
geeps (0.0.13) unstable; urgency=low

  * fixed loading settings on startup (map type, accuracy)

 -- Felipe Crochik <geeps@crochik.com>  Fri, 29 Oct 2010 00:00:00 -0400
